## ereswap 1.0

=== debian/changelog ===
ereswap (1.0) stable; urgency=low

  * Initial release.

 -- Piotr Jawidzyk <twilight312@gmail.com>  Mon, 21 May 2012 19:19:00 +0100
