## ereswap 1.1

=== debian/changelog ===
ereswap (1.1) stable; urgency=critical

  * Fix for method of validating swap, that could lead to non-bootable device (via faulthy /etc/event.d/rcS-late)
  * Program's folder changed to "/home/user/.config/ereswap/config". Config and rcS-late's adjusters now live there. Changed, due to popular request.
  * Program's executables changed from "ereswap.sh" and "freswap.sh" to "ereswap" and "freswap". Changed, due to popular request.

 -- Piotr Jawidzyk <twilight312@gmail.com>  Mon, 28 May 2012 1:50:00 +0200
