=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: ereswap
 Architecture: all
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends} busybox-power
 Description: ereswap - set of scripts, detecting swap fragmentation and refreshing swap 
  Swap fragmentation occurs, when total number of megabytes written during swap's life exceed it's maximum size. Until that, swap is written sequentialy - blocks that are no longer needed marked as free, but never used. After reaching end of swap space, previously used free blocks are written again, using new content. This kills sequential writing, causing massive slowdowns, to already slow (compared to RAM) swap.
  .
@@ -21,9 +21,9 @@
  ereswap is terminal tool as-is, but it's more than that - every step gives feedback via Maemo banner notification system. It means, that beside being runable via .desktop shortcuta, QueenBeeconWidgets, shortcutd, etc., ereswap is great candidate to be backend for swap control application. I's easidly customizable and extendable, writing GUI frontend for it should be trivial, as like integrating it into other programs.
  .
  More informationa on readme - be sure to read it before using:
- /home/user/.ereswap/readme
+ /home/user/.config/ereswap/readme
  .
- ereswap is licensed under terms of GPL It's provided as-is, without any warranty whatsoever. Using it, You can modify crucial system elements, responsible for bootin device - use at Youw own risk.
+ ereswap is licensed under terms of GPL (latest). It's provided as-is, without any warranty whatsoever. Using it, You can modify crucial system elements, responsible for bootin device - use at Youw own risk.
  ---
  .
  Thanks to shadowjk for swap refreshing concept and initial script.
