## ereswap 1.2

=== debian/changelog ===
ereswap (1.2) stable; urgency=critical

  * Fix to another issue preventing system from boot ;) (tried to save reswap stat on optfs, before it's mounted...)
  * Another try to add busybox-power as dependency

 -- Piotr Jawidzyk <twilight312@gmail.com>  Mon, 28 May 2012 5:30:00 +0200
